### Function

# Vips check_vector_length

#### Declaration [src]

    int
    vips_check_vector_length (
      const char* domain,
      int n,
      int len
    )

#### Description [src]

Check that `n` == `len`.

See also

`vips_error()`.

#### Parameters

`domain`

  Type: `const char*`

  The originating domain for the error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n`

  Type: `int`

  Number of elements in vector.

`len`

  Type: `int`

  Number of elements vector should have.

#### Return value

Type: `int`

0 if OK, -1 otherwise.